What's new

How to install apps requiring 5.1?

iniesta

New Member
Joined
Jan 5, 2012
Messages
124
Reaction score
1
I'm jailbroken on 5.0.1 and have no plans to upgrade to 5.1 yet cause of the lack of an untethered jailbreak.

But i want to install an iTunes app that requires 5.1 to download and install. Is there any way to go about this, please, without upgrading and losing my untethered jailbreak?

I'm not sure if this has been posted before.. my apologies if it has and I missed the thread.
 

dudeitsmattx

New Member
Joined
Oct 22, 2011
Messages
46
Reaction score
1
I believe I read somewhere you can't. Apple does this to make people update to the newest iOS out
 

ibrahimhamad

New Member
Joined
May 10, 2012
Messages
7
Reaction score
0
This is the way:
1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.
 
Last edited:

nawalg

New Member
Joined
Sep 5, 2011
Messages
25
Reaction score
0
ibrahimhamad said:
This is the way:
1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.

Will that make my iphone ios 5.1??? And will my jailbreak be gone????
 

ibrahimhamad

New Member
Joined
May 10, 2012
Messages
7
Reaction score
0
No, it is just a fake change making apps deal with ios as if it was 5.1.
 
Last edited:

nawalg

New Member
Joined
Sep 5, 2011
Messages
25
Reaction score
0
ibrahimhamad said:
No, it is just a fake change making apps deal with ios as if it was 5.1.

Ohhh. Will this work on my ipad??? Ipad on ios4.3.3 jailbroken.
 

Supahrob

New Member
Joined
May 30, 2011
Messages
163
Reaction score
3
Location
Riverside, CA
This is the way:
1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.

VERY interesting - and I am excited, and I want to do this... but will doing this cause any problems? I intend to install the latest update to "Pages" and iphoto - so this could be great news! But I seem to recall reading somewhere that this caused some problems. Is this true?

Take care,
Rob
 

ibrahimhamad

New Member
Joined
May 10, 2012
Messages
7
Reaction score
0
This trick works on ipad and iphone (I tried it on 5.0.1 and I don't know about 4.3.3) and doesn't cause any problem.
#For iphoto, there is a cydia tweak called iphoto501fix in thebigboss source.It makes iphoto compatible with ios 5 or
higher and prevents crashes on iphone and ipad.
 
Last edited:

Mickey330

Administrator
Staff member
Joined
Aug 12, 2011
Messages
1,845
Reaction score
363
Location
western NY state (USA)
Be very careful with this process. If you don't change the .plist back to show the actual iOS you have loaded, you could bork up your jail break. There are some members over at our sister iPad forum who lost their jail breaks because they did not reset the .plist after downloading the 5.1 apps they wanted.

They went to Cydia without changing the plist back and an update caused their iPads to go "hinky" and they needed to restore. They had to restore to an unjailbroken state. This was because their iPads "told" Cydia they were on a different iOS than they actually were.

Thankfully for them, because of the new downgrade procedure, they were able to downgrade their ipads. Then, what they discovered was:

Once you install/reinstall your 5.1 apps, you MUST:

1. Change the plist file back to 5.0.1

2. Reboot the iPad <---- the critically important step!

3. Check on "about" that the iPad effectively recognises you are on 5.0.1

4. Only then keep using your iPad

I'm not saying this'll happen with the iPhone. This is just a caution; don't want to have people losing their jail breaks...

Marilyn
 

Supahrob

New Member
Joined
May 30, 2011
Messages
163
Reaction score
3
Location
Riverside, CA
Be very careful with this process. If you don't change the .plist back to show the actual iOS you have loaded, you could bork up your jail break. There are some members over at our sister iPad forum who lost their jail breaks because they did not reset the .plist after downloading the 5.1 apps they wanted.

They went to Cydia without changing the plist back and an update caused their iPads to go "hinky" and they needed to restore. They had to restore to an unjailbroken state. This was because their iPads "told" Cydia they were on a different iOS than they actually were.

Thankfully for them, because of the new downgrade procedure, they were able to downgrade their ipads. Then, what they discovered was:



I'm not saying this'll happen with the iPhone. This is just a caution; don't want to have people losing their jail breaks...

Marilyn


Thank you for the good advice - only one more question before I "take the plunge" - and, yes, I realize that this is likely a stupid question: once I change the .plist back to the correct number, will the apps I installed that require 5.1 still work correctly?

Take care,
Rob
 

Mickey330

Administrator
Staff member
Joined
Aug 12, 2011
Messages
1,845
Reaction score
363
Location
western NY state (USA)
Thank you for the good advice - only one more question before I "take the plunge" - and, yes, I realize that this is likely a stupid question: once I change the .plist back to the correct number, will the apps I installed that require 5.1 still work correctly?

Take care,
Rob

I can only assume the answer is "yes." I also moderate the Hacking section at the iPad forum and I see every post that comes through. The people who talked about ruining their iPad jail break, getting it back and then re-trying this process have not mentioned how those 5.1 apps are working after they reset their plists back to the proper one.

If you want further confirmation - want I should ask them how those 5.1 apps are currently running on their 5.0.1 iPads?

You know what? I'll go ahead and ask them. Stay tuned to this channel... :)

Marilyn
 

Mickey330

Administrator
Staff member
Joined
Aug 12, 2011
Messages
1,845
Reaction score
363
Location
western NY state (USA)
Well, that was quick!

They responded and said that the 5.1 apps work fine with the 5.0.1 software. The only thing is that if you wish to run iPhoto, you'll have to install "iphoto501fix" from Cydia. Other 5.1 apps work fine.

Oh, and one of them re-emphasized the need to reboot the device after changing the plist back (the procedure where you hold the Home and sleep buttons until you get the Apple logo).

So, it appears as if those apps work fine. Hope this reassures.

Marilyn
 

Supahrob

New Member
Joined
May 30, 2011
Messages
163
Reaction score
3
Location
Riverside, CA
Thank you soooo much for looking into that for me :)

Ok, so here I go - will report back later

Take care,
Rob
 
Top